## ros-jazzy-moveit-setup-controllers 2.10.0

=== debian/changelog ===
ros-jazzy-moveit-setup-controllers (2.10.0-2bookworm) bookworm; urgency=high

  * Add allow_nonzero_velocity_at_trajectory_end parameter to exported ros2_controllers config file (#2751 <https://github.com/moveit/moveit2/issues/2751>)
  * CMake format and lint in pre-commit (#2683 <https://github.com/moveit/moveit2/issues/2683>)
  * Contributors: Sebastian Castro, Tyler Weaver

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 12 Jun 2024 16:00:00 -0000

ros-jazzy-moveit-setup-controllers (2.9.0-2bookworm) bookworm; urgency=high

  * Node logging for the rest of MoveIt (#2599 <https://github.com/ros-planning/moveit2/issues/2599>)
  * Don't assume gripper controller for single joint control in MoveIt Setup Assistant (#2555 <https://github.com/ros-planning/moveit2/issues/2555>)
    * For single joint controllers which are not gripper controllers, still output joints list
    * Use OR
    * Only check for GripperActionController
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
    ---------
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Contributors: Forrest Rogers-Marcovitz, Sebastian Jahr, Tyler Weaver

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 08 Jan 2024 16:00:00 -0000

ros-jazzy-moveit-setup-controllers (2.8.0-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 09 Sep 2023 16:00:00 -0000

ros-jazzy-moveit-setup-controllers (2.7.4-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 17 May 2023 16:00:00 -0000

ros-jazzy-moveit-setup-controllers (2.7.3-2bookworm) bookworm; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 23 Apr 2023 16:00:00 -0000

ros-jazzy-moveit-setup-controllers (2.7.2-2bookworm) bookworm; urgency=high

  * Update pre-commit (#2094 <https://github.com/ros-planning/moveit2/issues/2094>)
  * Contributors: Shobuj Paul

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 17 Apr 2023 16:00:00 -0000

ros-jazzy-moveit-setup-controllers (2.7.1-2bookworm) bookworm; urgency=high

  * add missing dependencies on config utils (#1962 <https://github.com/ros-planning/moveit2/issues/1962>)
    when installing ros-humble-moveit-setup-assistant from debs,
    the package cannot currently run due to this missing depend
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 22 Mar 2023 16:00:00 -0000

ros-jazzy-moveit-setup-controllers (2.7.0-2bookworm) bookworm; urgency=high

  * Merge PR #1712 <https://github.com/ros-planning/moveit2/issues/1712>: fix clang compiler warnings + stricter CI
  * Add default constructors
    ... as they are not implicitly declared anymore
  * Add default copy/move constructors/assignment operators
    As a user-declared destructor deletes any implicitly-defined move constructor/assignment operator,
    we need to declared them manually. This in turn requires to declare the copy constructor/assignment as well.
  * Fix -Wdelete-non-abstract-non-virtual-dtor
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Minimize use of this-> (#1784 <https://github.com/ros-planning/moveit2/issues/1784>)
    It's often unnecessary. MoveIt already avoids this in most cases
    so this PR better cements that existing pattern.
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    * Blindly apply automatic clang-tidy fixes
    * Exemplarily cleanup a few automatic clang-tidy fixes
    * Clang-tidy fixups
    * Missed const-ref fixups
    * Fix unsupported non-const -> const
    * More fixes
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Contributors: Chris Thrasher, Christian Henkel, Cory Crean, Robert Haschke

 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 28 Jan 2023 16:00:00 -0000

ros-jazzy-moveit-setup-controllers (2.6.0-2bookworm) bookworm; urgency=high

  * Merge PR #1553 <https://github.com/ros-planning/moveit2/issues/1553>: Improve cmake files
  * Cleanup cmake files
    - Replace ament_export_libraries() -> ament_export_targets(HAS_LIBRARY_TARGET)
    - Replace ament_export_include_directories() -> INCLUDES DESTINATION include
    See https://docs.ros.org/en/foxy/How-To-Guides/Ament-CMake-Documentation.html#building-a-library
  * Use standard exported targets: export_${PROJECT_NAME} -> ${PROJECT_NAME}Targets
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * MSA: write the default controller namespace (#1515 <https://github.com/ros-planning/moveit2/issues/1515>)
    * Write the default controller namespace
    * Check for a sane controller type
    * Revert the check for FollowJointTrajectory type
  * Contributors: AndyZe, Robert Haschke, Sebastian Jahr

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 09 Nov 2022 16:00:00 -0000

ros-jazzy-moveit-setup-controllers (2.5.3-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 27 Jul 2022 16:00:00 -0000

ros-jazzy-moveit-setup-controllers (2.5.2-2bookworm) bookworm; urgency=high

  * Rename cartesian_limits.yaml (#1422 <https://github.com/ros-planning/moveit2/issues/1422>)
    Co-authored-by: Tyler Weaver <mailto:maybe@tylerjw.dev>
  * [MSA] Testing Framework for MoveItSetupAssistant (#1383 <https://github.com/ros-planning/moveit2/issues/1383>)
    Adds a nice testing harness for easy checking of generated files.
    New Features:
    * Updated sensor configuration format
    * Keep trajectory execution parameters around
    Tests
    * Ported the ROS 1 tests for perception and controllers

