=== debian/control ===
Source: ros-jazzy-moveit-setup-controllers
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-gtest <!nocheck>, ros-jazzy-ament-index-cpp, ros-jazzy-moveit-configs-utils <!nocheck>, ros-jazzy-moveit-resources-fanuc-moveit-config <!nocheck>, ros-jazzy-moveit-resources-panda-moveit-config <!nocheck>, ros-jazzy-moveit-setup-framework, ros-jazzy-pluginlib, ros-jazzy-rclcpp, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-moveit-setup-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-ament-index-cpp, ros-jazzy-moveit-setup-framework, ros-jazzy-pluginlib, ros-jazzy-rclcpp, ros-jazzy-ros-workspace
Description: MoveIt Setup Steps for ROS 2 Control
